.widget {
    background: #FFF;
    max-width: 100%;
    width: 100%;
    position: relative;
    border-radius: 7px;
    box-shadow: var(--default-shadow);
    display: flex;
    flex-direction: column;
    margin: 0 0 10px;
    .title-bar{
        display: flex;
        width: 100%;
        position: relative;
        padding: 5px 15px;
        align-items: center;
        border-radius: 7px 7px 0 0;
        min-height: 43px;
        h3{    
            margin: 0;
            font-size: 15px;
            font-weight: 600;
            color: #565656;
            display: flex;
            line-height: 1.5;
            align-items: center;
        }
    }
    .content-wrapper {
        border-top:var(--default-border);
        width: 100%;
        padding: 15px;
        overflow: auto;
        margin-bottom: 0;
        height: auto;
        flex: auto;
        min-height: 90px;
        position: relative;
        border-radius: 0 0 7px 7px;
    }
    .content-wrapper.hide_overflow {
        overflow: hidden!important;
    }

    .widget {
        box-shadow: var(--default-shadow);
        .title-bar h3 {
            font-size: 13px;
        }
        a.icon_btn {
            font-size: 12px;
            width: 20px;
            height: 20px;
        }
        
    }
    
}

.bi_buttons {
    font-size: 12px;
    font-weight: 600;
    border: 0;
    color: #5b5656;
    .dx-button {
        font-size: 13px;
        font-weight: 600;
        border: 0;
        .dx-button-content{padding: 5px 15px}
    }
    .dx-button.active {
        background: var(--theme-light-color);
        color: var(--theme-color);
    }
}


.sliding_panel {
    position: absolute;
    right: -360px;
    top: 0;
    width: 360px;
    height: 100%;
    background: #FFF;
    box-shadow: var(--default-shadow);
    display: flex;
    flex-direction: column;
    transition: var(--default-transition);
    z-index: 10;

    .sliding_panel_title {
        display: flex;
        align-items: center;
        min-height: 40px;
        background: #565656;
        color: #FFF;
        padding: 0 15px;
        h4 { font-size: 13px; }

        a.cancel_sliding_panel {
            margin-left: auto;
            color: #FFF;
            font-size: 12px;
        }
    }
    
    .sliding_panel_content {
        flex: auto;
        padding: 0 15px;
        overflow: auto;
    }  
}
.sliding_panel.active{right:0}


.widget_selector {
    display: flex;
    align-items: center;
    padding: 10px 0;
    border-bottom:var(--default-border);
    /* transition: var(--default-transition); */
    :hover{
        color:var(--theme-color);
        cursor: pointer
    }
    span {
        margin-right: 20px;
    }
    .widget_info {
        display: flex;
        flex-direction: column;
        h5 {
            font-weight: 700;
            font-size: 15px;
        }
        p { font-size: 13px}
    }
}
